/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef atlas_ecbuild_config_h
#define atlas_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "3.6.1"
#endif
#ifndef ECBUILD_VERSION
#define ECBUILD_VERSION "3.6.1"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "/usr/share/ecbuild/cmake"
#endif

/* config info */

#define ATLAS_OS_NAME          "Linux-5.10.0-7-amd64"
#define ATLAS_OS_BITS          64
#define ATLAS_OS_BITS_STR      "64"
#define ATLAS_OS_STR           "linux.64"
#define ATLAS_OS_VERSION       "5.10.0-7-amd64"
#define ATLAS_SYS_PROCESSOR    "x86_64"

#define ATLAS_BUILD_TIMESTAMP  "20210625105320"
#define ATLAS_BUILD_TYPE       "Release"

#define ATLAS_C_COMPILER_ID      "GNU"
#define ATLAS_C_COMPILER_VERSION "11.0.1"

#define ATLAS_CXX_COMPILER_ID      "GNU"
#define ATLAS_CXX_COMPILER_VERSION "11.0.1"

#define ATLAS_C_COMPILER       "/usr/bin/cc"
#define ATLAS_C_FLAGS          "-g -O2 -ffile-prefix-map=/srv/build/atlas-ecmwf/atlas-ecmwf-0.25.0=. -fstack-protector-strong -Wformat -Werror=format-security -I/srv/build/atlas-ecmwf/atlas-ecmwf-0.25.0/src -I/srv/build/atlas-ecmwf/atlas-ecmwf-0.25.0/obj-x86_64-linux-gnu/src -Wdate-time -D_FORTIFY_SOURCE=2 -pipe -O3 -DNDEBUG"

#define ATLAS_CXX_COMPILER     "/usr/bin/c++"
#define ATLAS_CXX_FLAGS        "-g -O2 -ffile-prefix-map=/srv/build/atlas-ecmwf/atlas-ecmwf-0.25.0=. -fstack-protector-strong -Wformat -Werror=format-security -I/srv/build/atlas-ecmwf/atlas-ecmwf-0.25.0/src -I/srv/build/atlas-ecmwf/atlas-ecmwf-0.25.0/obj-x86_64-linux-gnu/src -Wdate-time -D_FORTIFY_SOURCE=2 -pipe -O3 -DNDEBUG"

/* Needed for finding per package config files */

#define ATLAS_INSTALL_DIR       "/usr"
#define ATLAS_INSTALL_BIN_DIR   "/usr/bin"
#define ATLAS_INSTALL_LIB_DIR   "/usr/lib/x86_64-linux-gnu"
#define ATLAS_INSTALL_DATA_DIR  "/usr/share/atlas"

#define ATLAS_DEVELOPER_SRC_DIR "/srv/build/atlas-ecmwf/atlas-ecmwf-0.25.0"
#define ATLAS_DEVELOPER_BIN_DIR "/srv/build/atlas-ecmwf/atlas-ecmwf-0.25.0/obj-x86_64-linux-gnu"

/* Fortran support */

#if 0

#define ATLAS_Fortran_COMPILER_ID      ""
#define ATLAS_Fortran_COMPILER_VERSION ""

#define ATLAS_Fortran_COMPILER ""
#define ATLAS_Fortran_FLAGS    ""

#endif

#endif /* atlas_ecbuild_config_h */
